Subject: [eppext] Fw: I-D Action: draft-zhou-eppext-reseller-02.txt

From: "Linlin Zhou" <[email-masked]>
Date: Mon, 12 Oct 2015 11:27:27 +0800

The reseller draft is updated to 02 version according to WG discussion. Any comments are welcome. 
The name suggested by Marc of this draft is planning to be changed next version.

Linlin Zhou
 
From: internet-drafts
Date: 2015-10-12 11:16
To: [email-masked]
Subject: I-D Action: draft-zhou-eppext-reseller-02.txt
 
A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Reseller Extension for the Extensible Provisioning Protocol (EPP)
        Authors         : Linlin Zhou
                          Ning Kong
                          Chao Qi
                          Xiaodong Lee
                          James Gould
Filename        : draft-zhou-eppext-reseller-02.txt
Pages           : 17
Date            : 2015-10-11
 
Abstract:
   This mapping, an extension to EPP object mappings like the EPP domain
   name mapping [RFC5731], to support assigning a reseller to any
   existing object (domain, host, contact) as well as any future
   objects.  Specified in Extensible Markup Language (XML), this
   extended mapping is applied to provide additional features required
   for the provisioning of resellers.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-zhou-eppext-reseller/
 
There's also a htmlized version available at:
https://tools.ietf.org/html/draft-zhou-eppext-reseller-02
 
A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-zhou-eppext-reseller-02

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.
 
Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/
 
_______________________________________________
I-D-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/i-d-announce
Internet-Draft directories: http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: Rik Ribbers <[email-masked]>
Date: Mon, 19 Oct 2015 15:17:43 +0000

Hello LinLin,

In preparation for Yokohama I'm catching up an all the drafts on the agenda. I've read the reseller extension draft and have some remarks:

- The abstract of an I-D should be able to stand alone outside the document without references. So I suggest to remove the reference to RFC5731. This remark is triggered by another remark from Scott during WG last call for keyrelay (see point 2 in https://www.ietf.org/mail-archive/web/eppext/current/msg00615.html )

- Section 1:

   A reseller mapping object defined in
   [ID.draft-zhou-eppext-reseller-mapping] SHOULD be created first.  The
   reseller information specified in this document SHOULD reference the
   existing reseller identifier and reseller name.

The I-D states only references to reseller identifier and not name. So the last part (and reseller name) can be removed. The name is optional so it cannot be used for referencing.

- Section 3.1. All highlevel object like contact and host specify somethings about identifier being unique within the server (e.g. RFC 5732 section 2.1) I suggest to do the same here for Reseller Identifier. The same applies for the reseller mapping draft.

- Section 3.2 Same here : specify that the name is optional, but added for readability. And maybe add some wording that it is there to comply with existing implementations? I don't know it the last one is actually true but this is what I've understood so far.

- Section 4.2.3 : For readability I suggest to move the last 2 sentence in front of the example. I overlooked them the first time I read the draft.

- XML Namespacing: I suggest to shorten the namespace prefix to "re" and the URN to resellerExtension. Although this is a matter of taste I don't like the resellerext naming as the ext postfix can be serveral things: extension, external of something else. Given the context it is quite obvious what it is though.

- Section 4.2.5 The section describing how many add and remove elements are allowed is not directly clear to me. In our own reseller implementation we have the possibility to use 2 elements (an add and remove element) for changing the reseller. I think this is written there, but I'm not quite sure. And is there a typo where there are 2 rem elements? I guess one of them should be a chg? I have a suggestion for the wording

Current text

   At least one and only one <resellerext:add>, <resellerext:rem> or
   <resellerext:rem> element MUST be provided.  The <resellerext:add>,
   <resellerext:rem> and <resellerext:rem> elements contain the
   following child element:

My suggestion would be this (this makes the draft more compatible with our implementation):

   At least one of <resellerext:add>, <resellerext:rem> or <resellerext:chg> element MUST be provided. Only one <resellerext:chg> element MUST be allowed. If a <resellerext:chg> element is provided a <resellerext:add>, <resellerext:rem> element MUST NOT be allowed. Only one <resellerext:add> and <resellerext:rem> MUST be allowed. A <resellerext:add> and <resellerext:rem> MAY be combined into one <resellerext:update> element.

-Section 5 formal syntax There is a typo in the schema : resellerr

<schema targetNamespace="urn:ietf:params:xml:ns:resellerext-1.0"
        xmlns:resellerr="urn:ietf:params:xml:ns:resellerext-1.0"

Kind regards,
Rik

From: EppExt [mailto:[email-masked]] On Behalf Of Linlin Zhou
Sent: maandag 12 oktober 2015 5:27
To: [email-masked]
Subject: [eppext] Fw: I-D Action: draft-zhou-eppext-reseller-02.txt

________________________________
Linlin Zhou

From: internet-drafts<mailto:[email-masked]>
Date: 2015-10-12 11:16
To: [email-masked]<mailto:[email-masked]>
Subject: I-D Action: draft-zhou-eppext-reseller-02.txt

Abstract:

[email-masked]<mailto:[email-masked]>

---

From: "Linlin Zhou" <[email-masked]>
Date: Tue, 20 Oct 2015 13:54:01 +0800

Dear Rik,
Thanks for your comments. Please see my feedback inline.

Regards,

Linlin Zhou
 
From: Rik Ribbers
Date: 2015-10-19 23:17
To: 'Linlin Zhou'; [email-masked]
Subject: RE: [eppext] Fw: I-D Action: draft-zhou-eppext-reseller-02.txt
Hello LinLin,

- The abstract of an I-D should be able to stand alone outside the document without references. So I suggest to remove the reference to RFC5731. This remark is triggered by another remark from Scott during WG last call for keyrelay (see point 2 in https://www.ietf.org/mail-archive/web/eppext/current/msg00615.html )
[Linlin] Thanks. This will be revised.
 
- Section 1:

The I-D states only references to reseller identifier and not name. So the last part (and reseller name) can be removed. The name is optional so it cannot be used for referencing.
[Linlin] In this paragraph, I would like to explain that the <resellerext:id> should refer to <reseller:id> and the optional <resellerext:name> should refer to <reseller:name>. In my opinion, the optional name element should also be in compliance with the existing reseller object name.
 
- Section 3.1. All highlevel object like contact and host specify somethings about identifier being unique within the server (e.g. RFC 5732 section 2.1) I suggest to do the same here for Reseller Identifier. The same applies for the reseller mapping draft.
[Linlin] I guess you mean RFC5732 section 2.2. I'll add a sentence such as "All reseller objects are identified by a server-unique identifier" in two drafts.
 
- Section 3.2 Same here : specify that the name is optional, but added for readability. And maybe add some wording that it is there to comply with existing implementations? I don't know it the last one is actually true but this is what I've understood so far.
[Linlin] See the above explanation.
 
- Section 4.2.3 : For readability I suggest to move the last 2 sentence in front of the example. I overlooked them the first time I read the draft.
[Linlin] I think maybe the text layout caused the overlook problem. Almost all of the examples follow the last 2 sentences. To keep the consistency, I suggest leaving them there.
 
- XML Namespacing: I suggest to shorten the namespace prefix to "re" and the URN to resellerExtension. Although this is a matter of taste I don't like the resellerext naming as the ext postfix can be serveral things: extension, external of something else. Given the context it is quite obvious what it is though.
[Linlin] This is a personal naming habit. We could discuss it in private:)

Current text

 
   At least one of <resellerext:add>, <resellerext:rem> or <resellerext:chg> element MUST be provided. Only one <resellerext:chg> element MUST be allowed. If a <resellerext:chg> element is provided a <resellerext:add>, <resellerext:rem> element MUST NOT be allowed. Only one <resellerext:add> and <resellerext:rem> MUST be allowed. A <resellerext:add> and <resellerext:rem> MAY be combined into one <resellerext:update> element. 
[Linlin] Yes, there's an extra rem, this should be chg. The suggested text looks good to me. I'll update it.

<schema targetNamespace="urn:ietf:params:xml:ns:resellerext-1.0"
        xmlns:resellerr="urn:ietf:params:xml:ns:resellerext-1.0"
[Linlin] Yes. This should be xmlns:resellerext="urn:ietf:params:xml:ns:resellerext-1.0". Thank you.

Kind regards,
Rik 

Linlin Zhou
 
From: internet-drafts
Date: 2015-10-12 11:16

 
Abstract:

---

From: Rik Ribbers <[email-masked]>
Date: Tue, 20 Oct 2015 07:35:35 +0000

Hello Linlin,

Some comments below.

Gr
Rik
From: EppExt [mailto:[email-masked]] On Behalf Of Linlin Zhou
Sent: dinsdag 20 oktober 2015 7:54
To: Rik Ribbers; [email-masked]
Subject: Re: [eppext] Fw: I-D Action: draft-zhou-eppext-reseller-02.txt

Dear Rik,

Regards,

From: Rik Ribbers<mailto:[email-masked]>
Date: 2015-10-19 23:17
To: 'Linlin Zhou'<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: [eppext] Fw: I-D Action: draft-zhou-eppext-reseller-02.txt
Hello LinLin,

- Section 1:

 [Rik] Ok

- Section 3.1. All highlevel object like contact and host specify somethings about identifier being unique within the server (e.g. RFC 5732 section 2.1) I suggest to do the same here for Reseller Identifier. The same applies for the reseller mapping draft.
[Linlin] I guess you mean RFC5732 section 2.2. I'll add a sentence such as "All reseller objects are identified by a server-unique identifier" in two drafts.
 [Rik] Exactly what I would expect

[Rik] ok

[Rik] lets do that ;-)

Current text

[Rik] ok

Kind regards,
Rik

From: EppExt [mailto:[email-masked]] On Behalf Of Linlin Zhou
Sent: maandag 12 oktober 2015 5:27
To: [email-masked]<mailto:[email-masked]>
Subject: [eppext] Fw: I-D Action: draft-zhou-eppext-reseller-02.txt

Abstract: